
QGIS Application - Bug report #7350

Regular and Random points tools do not work as expected

2013-03-13 05:33 PM - Salvatore Larosa

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 16327

Description

The tool Regular points is not usable.

it throws a lot of messages like this: Attribute index 0 out of bounds [0;0[

and QGIS freezes.

The same problem with Random points but in this case the tool produces the new layer.

Associated revisions

Revision 5d312696 - 2013-03-14 10:29 AM - Alexander Bruy

update Random and Regular points tools to API changes (fix #7350)

History

#1 - 2013-03-13 05:34 PM - Salvatore Larosa

- Subject changed from Regular and Random points tool do not work as expected to Regular and Random points tools do not work as expected

#2 - 2013-03-14 02:29 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"5d31269635927a2b344ec26ae5e75b6acb49e1fd".

#3 - 2013-03-14 02:30 AM - Alexander Bruy

- Resolution set to fixed

#4 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
